function v1 = rhs_bellman_always(c,s,parameters,k1,~,fspace1,~)

alpha   = parameters.alpha;
beta    = parameters.beta;

R       = 1/beta;

u       = utility(c,alpha);

a       = s(:,1); 
w       = s(:,2);

wprime  = w;
aprime  = R.*a + w - c;

vprime  = funeval(k1,fspace1,[aprime,wprime]);

v1      = u + beta*vprime;



