function v1 = rhs_bellman_employed(c,s,parameters,k1,k0,fspace1,fspace0)

alpha   = parameters.alpha;
beta    = parameters.beta;
delta   = parameters.delta;

R       = 1/beta;


u       = utility(c,alpha);

a       = s(:,1); 
w       = s(:,2);

wprime  = w;
aprime  = R.*a + w - c;

vprime1 = funeval(k1,fspace1, [aprime,wprime]);
vprime0 = funeval(k0,fspace0,  aprime        );

v1      = u + beta*( (1-delta)*vprime1 + delta*vprime0);



