function v0 = rhs_bellman_unemployed(c,agrid,parameters,k1,k0,fspace1,fspace0)

alpha   = parameters.alpha;
beta    = parameters.beta;
b       = parameters.b;

wgrid   = parameters.wgrid;
ww      = parameters.ww;

R       = 1/beta;

u       = utility(c,alpha);

a       = agrid;

aprime  = R.*a + b - c;

vprime0 = funeval(k0,fspace0,aprime);

Ev = 0;

for j   = 1:numel(ww)
   
wprime  = wgrid(j)*ones(size(agrid));
sprime  = [aprime,wprime];
vprime1 = funeval(k1,fspace1,sprime);

Vprime  = vprime0.*(vprime0>vprime1) + vprime1.*(vprime0<=vprime1);

Ev      = Ev + ww(j)*Vprime;
       
end


v0      = u + beta*Ev;
