function z = expected_value(c,s,parameters,a,fspace)

beta  = parameters.beta;
R     = 1/beta;

ygrid = parameters.ygrid;
wy    = parameters.wy;

x = s;

Ev = 0;

for j=1:numel(ygrid),

sprime = R*(x-c)+ygrid(j);

Ev = Ev+wy(j)*funeval(a,fspace,sprime);

end

z = Ev;
